# AMM vs. Orderbook

AMM's have insofar proven to be *the* effective mechanism for bootstrapping liquidity, however the efficacy and capital efficiency of AMM's within derivative markets has proven to be questionable at best.

Without the ability to adjust quoted prices with regard to standard derivative pricing variables, liquidity providers are exposed to significant risk and constantly give up an edge to the market. (As seen in LP returns)

![-25% APY for HEGIC LP's ](https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F198e2c1b-e12c-4c41-879b-f2d5716f44f2_2276x646.jpeg)

Swivel instead attempts to bootstrap liquidity by providing the same token incentives present on most AMM's, but with the enhanced capital efficiency and flexibility that an orderbook can provide for all market participants.

In my previous article, “[So… Why an Orderbook?](https://swivel.substack.com/p/so-why-an-orderbook)” I walked through the reasoning behind our decision to implement an orderbook for interest-rates and cash-flow tokens.

![](/files/aajoFFbB8IW3fhJbPIsV)

As a quick TL;DR, the primary benefits are:

* Increased general capital efficiency (similar to spot markets)
* The ability for LPs to manage inventory with respect to:
  * Underlying rates
  * Time-decay (Theta)
  * Sensitivity to rate variance (Delta)
  * Underlying rate volatility (Vega)
* Combined Principal Token and Yield Token liquidity pools (+100% capital efficiency)
* Free limit orders + order cancellation

## Instrument-Specific Optimizations

If then attempting to address Swivel's market with an AMM, one would need both a time-appreciating AMM for zero-coupon tokens (similar to Element), and a time-depreciating AMM for interest-coupons (similar to Pendle).&#x20;

With Swivel's flexible orderbook, these separate AMM's are not necessary as a user can enter the marketplace with an underlying currency (USDC, ETC, BTC, etc.,), or alternatively with either zero-coupon tokens or money-market notional (interest-coupons) when exiting positions.&#x20;

As a result Swivel's users benefit from the generalized efficiencies provided by an orderbook, and the further **\~2x** enhanced capital efficiency when compared to two separate AMM's.

## **Minting YTs (Interest-Coupons)**

Swivel’s issuance of interest-coupon&#x73;*,* termed *Yield Tokens* (YTs)*,* is optimized in two ways:

1. YTs include interest-generation and tracking functionality within their transfer function which:

   * Reduces the deposit overhead present in designs which require increasing deposits over time&#x20;
   * Reduces complexity in YT pricing
   * Allows interest to be redeemed at any time&#x20;

2. Swivel atomically mints tokens as orders are filled which reduces the number of transactions necessary for most use cases.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swivel.finance/litepaper/swivel-finance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
